# Read the Docs configuration file
# See https://docs.readthedocs.io/en/stable/config-file/v2.html for details

version: 2
build:
  os: "ubuntu-22.04"
  tools:
    python: "3.12"

sphinx:
  configuration: docs/source/conf.py

formats:
- htmlzip
- pdf
- epub

# declare Python requirements required to build the documentation
# See https://docs.readthedocs.io/en/stable/guides/reproducible-builds.html
python:
  install:
  - requirements: docs/requirements.txt
